ZenLib::Format::Http::Handler Class Reference

`#include <Http_Handler.h>`

## Public Member Functions

| Handler ()

## Public Attributes

std::string | Path
std::map< std::string, std::string > | Request_Headers
std::map< std::string, std::string > | Request_Cookies
std::map< std::string, std::string > | Request_Queries
std::string | Foreign_IP
std::string | Local_IP
unsigned short | Foreign_Port
unsigned short | Local_Port
bool | HeadersOnly
size_t | Response_HTTP_Code
std::map< std::string, std::string > | Response_Headers
Cookies | Response_Cookies
std::string | Response_Body

## Constructor & Destructor Documentation

## Handler()

ZenLib::Format::Http::Handler::Handler | ( |  | ) |

## Member Data Documentation

## Foreign_IP

std::string ZenLib::Format::Http::Handler::Foreign_IP

## Foreign_Port

unsigned short ZenLib::Format::Http::Handler::Foreign_Port

## HeadersOnly

bool ZenLib::Format::Http::Handler::HeadersOnly

## Local_IP

std::string ZenLib::Format::Http::Handler::Local_IP

## Local_Port

unsigned short ZenLib::Format::Http::Handler::Local_Port

## Path

std::string ZenLib::Format::Http::Handler::Path

## Request_Cookies

std::map<std::string, std::string> ZenLib::Format::Http::Handler::Request_Cookies

## Request_Headers

std::map<std::string, std::string> ZenLib::Format::Http::Handler::Request_Headers

## Request_Queries

std::map<std::string, std::string> ZenLib::Format::Http::Handler::Request_Queries

## Response_Body

std::string ZenLib::Format::Http::Handler::Response_Body

## Response_Cookies

Cookies ZenLib::Format::Http::Handler::Response_Cookies

## Response_Headers

std::map<std::string, std::string> ZenLib::Format::Http::Handler::Response_Headers

## Response_HTTP_Code

size_t ZenLib::Format::Http::Handler::Response_HTTP_Code

The documentation for this class was generated from the following file:

- Http_Handler.h